Traccar in Docker
---
Traccar GPS Tracking System in Docker image.

Official website: <https://www.traccar.org>  
Current version: **4.3**

### Current tags:
- **4.3-alpine**, **4.3**, **alpine** or **latest** ([alpine/Dockerfile](https://github.com/traccar/traccar-docker/blob/4.3/alpine/Dockerfile)) [![](https://images.microbadger.com/badges/image/traccar/traccar:4.3-alpine.svg)](https://microbadger.com/images/traccar/traccar:4.3-alpine)
- **4.3-debian**, **debian** ([debian/Dockerfile](https://github.com/traccar/traccar-docker/blob/4.3/debian/Dockerfile)) [![](https://images.microbadger.com/badges/image/traccar/traccar:4.3-debian.svg)](https://microbadger.com/images/traccar/traccar:4.3-debian)
- **4.2-alpine**, **4.2** ([alpine/Dockerfile](https://github.com/traccar/traccar-docker/blob/4.2/alpine/Dockerfile)) [![](https://images.microbadger.com/badges/image/traccar/traccar:4.2-alpine.svg)](https://microbadger.com/images/traccar/traccar:4.2-alpine)
- **4.2-debian** ([debian/Dockerfile](https://github.com/traccar/traccar-docker/blob/4.2/debian/Dockerfile)) [![](https://images.microbadger.com/badges/image/traccar/traccar:4.2-debian.svg)](https://microbadger.com/images/traccar/traccar:4.2-debian)
- **4.1-alpine**, **4.1** ([alpine/Dockerfile](https://github.com/traccar/traccar-docker/blob/4.1/alpine/Dockerfile)) [![](https://images.microbadger.com/badges/image/traccar/traccar:4.1-alpine.svg)](https://microbadger.com/images/traccar/traccar:4.1-alpine)
- **4.1-debian** ([debian/Dockerfile](https://github.com/traccar/traccar-docker/blob/4.1/debian/Dockerfile)) [![](https://images.microbadger.com/badges/image/traccar/traccar:4.1-debian.svg)](https://microbadger.com/images/traccar/traccar:4.1-debian)
- **4.0-alpine**, **4.0** ([alpine/Dockerfile](https://github.com/traccar/traccar-docker/blob/4.0/alpine/Dockerfile)) [![](https://images.microbadger.com/badges/image/traccar/traccar:4.0-alpine.svg)](https://microbadger.com/images/traccar/traccar:4.0-alpine)
- **4.0-debian** ([debian/Dockerfile](https://github.com/traccar/traccar-docker/blob/4.0/debian/Dockerfile)) [![](https://images.microbadger.com/badges/image/traccar/traccar:4.0-debian.svg)](https://microbadger.com/images/traccar/traccar:4.0-debian)
- **3.17-alpine**, **3.17** ([alpine/Dockerfile](https://github.com/traccar/traccar-docker/blob/3.17/alpine/Dockerfile)) [![](https://images.microbadger.com/badges/image/traccar/traccar:3.17-alpine.svg)](https://microbadger.com/images/traccar/traccar:3.17-alpine)
- **3.17-debian** ([debian/Dockerfile](https://github.com/traccar/traccar-docker/blob/3.17/debian/Dockerfile)) [![](https://images.microbadger.com/badges/image/traccar/traccar:3.17-debian.svg)](https://microbadger.com/images/traccar/traccar:3.17-debian)
- **3.16-alpine**, **3.16** ([alpine/Dockerfile](https://github.com/traccar/traccar-docker/blob/3.16/alpine/Dockerfile)) [![](https://images.microbadger.com/badges/image/traccar/traccar:3.16-alpine.svg)](https://microbadger.com/images/traccar/traccar:3.16-alpine)
- **3.16-debian** ([debian/Dockerfile](https://github.com/traccar/traccar-docker/blob/3.16/debian/Dockerfile)) [![](https://images.microbadger.com/badges/image/traccar/traccar:3.16-debian.svg)](https://microbadger.com/images/traccar/traccar:3.16-debian)

### Container creation example:

1. **Create work directories:**
    ```bash
    mkdir -p /var/docker/traccar/logs
    ```

1. **Get default traccar.xml:**
    ```bash
    docker run \
    --rm \
    --entrypoint cat \
    traccar/traccar:4.3 \
    /opt/traccar/conf/traccar.xml > /var/docker/traccar/traccar.xml
    ```

1. **Edit traccar.xml: <https://www.traccar.org/configuration-file/>**

1. **Create container:**
    ```bash
    docker run \
    -d --restart always \
    --name traccar \
    --hostname traccar \
    -p 80:8082 \
    -p 5000-5150:5000-5150 \
    -p 5000-5150:5000-5150/udp \
    -v /var/docker/traccar/logs:/opt/traccar/logs:rw \
    -v /var/docker/traccar/traccar.xml:/opt/traccar/conf/traccar.xml:ro \
    traccar/traccar:4.3
    ```

### Default JRE options:

- -Xms512m
- -Xmx512m
- -Djava.net.preferIPv4Stack=true
